
.page-wrapper .icon-menu:before{
  content: "\F2E3";
}
.page-wrapper.toggled .icon-menu:before{
  content: "\F2E5";
}
.message-info{
  position: absolute;
  right: 30px;
  top: 75px;
  z-index: 9;
}

.page-wrapper.toggled .toggle-sidebar{
  left: 15px;
} 
.app-hero-header{
  background-color: transparent;
  border: none;
  margin-bottom: 1rem;
  padding: 0;
}
.breadcrumb .breadcrumb-item{
  font-size: 14px;
}
.breadcrumb .breadcrumb-item a{
  color: #51a7e3;
}
.breadcrumb-item:nth-child(2)::before{
  border-right: 1px solid #e3e3f0;
  content: unset;
}
.breadcrumb-item:nth-child(1){
  font-size: 18px;
  font-weight: 700;
  border-right: 1px solid #e3e3f0;
  padding-right: var(--bs-breadcrumb-item-padding-x);
}

.dropzone {
    min-height: 200px !important;
}
.dropzone.is-invalid {
    outline: none;
    border: 2px solid blue;
    box-shadow: 0 0 5px rgba(0, 0, 255, 0.5);
}

.sidebar-menu>li>a{
  color: #3b3b4a;
  font-size: 14px;
  border-radius: 8px;
  font-weight: 500;
}
.table-mail tbody tr{
  cursor: pointer;
}
.table-small .pagination a{
  font-size: 12px;
  padding: 2px 6px;
}
.table-small .dataTables_info{
  font-size: 12px;
}
.ri-arrow-right-line{
  display: inline-block;
  transform: rotate(325deg);
}

.sidebar-wrapper .menu-title {
  padding: 8px 10px 8px 10px;
  letter-spacing: .05em;
  pointer-events: none;
  font-weight: 600;
  cursor: default;
  font-size: .6875rem;
  text-transform: uppercase;
  color: #3b3b4a;
  opacity: .5;
}
fieldset.scheduler-border {
    border: 1px groove #ddd !important;
    padding: 0 1.4em 1.4em 1.4em !important;
    margin: 0 0 1.5em 0 !important;
    -webkit-box-shadow:  0px 0px 0px 0px #000;
            box-shadow:  0px 0px 0px 0px #000;
    }
    legend.scheduler-border {
        font-size: 1em;
        font-weight: 600;
        width:auto;
        padding:0 10px;
        border-bottom:none;
        float: none;
    }
.delete_kompartemen{
    position: absolute;
    right: -30px;
    z-index: 9;
    top: 10px;
}

.error-text {
    font-style: italic;
    font-size: 11px;
}
.stacked-images img{
  height: 3rem;
  width: 3rem;
}

input[type="date"], 
input[type="datetime-local"],
input[type="date"]:focus,
input[type="datetime-local"]:focus
{
  color:transparent;
}
@supports (-moz-appearance: none) {
  input[type="date"],
  input[type="datetime-local"],
  input[type="date"]:focus,
  input[type="datetime-local"]:focus {
    color: #2b2e35 !important;
  }
}
input[type="date"], 
input[type="datetime-local"] {
    position: relative;
  }
  
  input[type="date"]:before, 
  input[type="datetime-local"]:before {
    position: absolute;
    top: 27px;
    left: 12px;
    content: attr(data-date);
    display: inline-block;
    color: var(--bs-body-color);
  }
  
  input[type="date"]::-webkit-datetime-edit, 
  input[type="date"]::-webkit-inner-spin-button, 
  input[type="date"]::-webkit-clear-button,
  input[type="datetime-local"]::-webkit-datetime-edit, 
  input[type="datetime-local"]::-webkit-inner-spin-button, 
  input[type="datetime-local"]::-webkit-clear-button {
    display: none;
    -webkit-appearance: none;
  }
  
  input[type="date"]::-webkit-calendar-picker-indicator,
  input[type="datetime-local"]::-webkit-calendar-picker-indicator {
    position: absolute;
    top: 20px;
    right: 10px;
    opacity: 1;
    cursor: pointer;
  }
  .tb-sm td{
    font-size: 12px;
    white-space: nowrap;
    padding: .25em .5em;
  }

  .tb-sm .form-check{
    min-height: auto;
  }

small, .small {
  font-size: 0.875em!important;
}
.mail-icon{
  position: absolute;
  right: 0;
  top: 0;
  font-size: 24px;
  height: 40px;
  width: 40px;
  text-align: center;
  border-radius: 25px;
}
.select2_group .select2.select2-container{
  left: 40px;
  position: absolute;
  width: -webkit-fill-available;
}
.select2-container .select2-selection--single{
  height: 36px;
  border-radius: 0;
  padding: 3px 0;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 33px;
}
.is-invalid .select2-container--default .select2-selection--single {
  border-color: var(--bs-form-invalid-border-color);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23f66f9c'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23f66f9c' stroke='none'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.875em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}
.input-group input[type="radio"]{
  height: 22px;
}
.home-page .app-body{
  height: calc(100vh - 100px);
}
.position-relative.form-switch,
.position-relative.form-switch .form-check-input{
  width: 5.5em!important;
  height: 2em!important;
}
.position-relative.form-switch label{
  margin:0;
  position: absolute;
  right: 8px;
  left: auto;
  top: 9px;
  color: #666;
  font-size: 10px;
  font-weight: 600;
}
.card {
    box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);
}

.position-relative.form-switch.checked label{
  left: 10px;
  right: auto;
  color: #fff;
}
.jadwal-list tr:nth-of-type(2) td:not(:last-child){
  border-right: 0px solid #e0e0ec;
}
.app-header{
  padding: .12rem 1.5rem;
}
.tb-sm .position-relative.form-switch.checked label,
.tb-sm .position-relative.form-switch label{
  top: 6px;
}

.form-floating > .select2-container {
    height: calc(3.5rem + 2px); /* same as .form-select */
    line-height: 1.25;
}

.form-floating .select2-container--default .select2-selection--single {
    height: 100%;
    padding: 1rem 0.75rem 0 0.75rem; /* top padding for floating label */
    border: 1px solid #ced4da;
    border-radius: 0.375rem;
}

.form-floating .select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-left: 0;
    padding-right: 0;
    line-height: 1.25;
    margin-top: 0.7rem; /* adjust vertically */
}

.form-floating .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 100%;
    top: 0;
    right: 0.75rem;
}

.sidebar-mail a{
  padding: .5rem;
}
.sidebar-mail a.active{
  color: #0877c5;
  background: #e0efff;
  border-radius: 4px;
}

#modalImage {
  transition: transform 0.6s ease, opacity 0.6s ease;
  opacity: 1;
  transform: scale(1);
}

/* keluar (hilang ke dalam) */
#modalImage.zoom-out {
  transform: scale(0.7);
  opacity: 0;
}

/* masuk (muncul dari dalam frame) */
#modalImage.zoom-in {
  transform: scale(1.2);
  opacity: 0;
}

@media (max-width: 767.99px){
  .app-header{
    padding: .21rem 1rem;
  }
  .app-body{
    padding: 1rem;
  }
  .stats-icon {
    width: 50px;
    height: 50px;
    margin: -25px 0 0 0;
  }
}
@media (max-width: 399.99px){
  .schedule-card h6{
    font-size: 12px;
  }
  .card-header .card-title{
    font-size: 14px;
  }
}